Bug 863802 - Fluidsynth-DSSI crashes on playback in Rosegarden
Fluidsynth-DSSI crashes on playback in Rosegarden
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fluidsynth-dssi (Show other bugs)
17
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 10:29 EDT by Dave Jeffery
Modified: 2013-08-01 02:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:09:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jeffery 2012-10-07 10:29:03 EDT
Description of problem:

Crashes on playback in Rosegarden

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Start Rosegarden
2 . With pencil tool add a segment to the first track
3. Open the Segment in Notation editor
4. Add notes to Segment
5. In Track Parameters select Synth Plug-in from Device drop-down
6. In Instrument Parameters click <nosynth> 
7, select ZASF (ZynAddSubFX) 
8. Play tune in Rosegarden pressing Play in transport window

Actual results:
After the first note has played Rosegarden crashes

Expected results:
All the notes to play without crashing


Additional info:
Comment 1 Orcan Ogetbil 2012-10-07 13:06:49 EDT
Sorry I cannot reproduce the crash. Rosegarden behaves as expected here when I followed your steps. Questions: Any particular reason why this is reported to component fluidsynth-dssi? Can you provide a backtrace?
Comment 2 Dave Jeffery 2012-10-16 06:59:26 EDT
I've solved this issue. I changed the host name of my computer using the Live CD installer when I installed Fedora. However, this change was not reflected in my /etc/hosts file - for some reason it remained localhost.localdomain. That's why Rosegarden could not open the GUIs for the DSSI plug-ins.

Provided your /etc/hosts file is correct you do not get an issue - if you change the name upon installing Fedora it will not work.

Very sorry to have bothered you with this.
Comment 3 Orcan Ogetbil 2012-10-16 08:55:06 EDT
No problem at all. A crash is always a bug though. Normally I would expect the program to exit gracefully. I wonder where the conflict happens regarding the hostname. When you change the hostname during setup, that information is stored somewhere. Where is that place and how can rosegarden know about it? hmm....
Comment 4 Fedora End Of Life 2013-07-03 21:33:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 02:09:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.